<?php
	
	include_once __DIR__ . '/include/common.php';
	include_once __DIR__ . '/include/general_functions.php';
	include_once __DIR__ . '/include/utils.php';	
	include_once __DIR__ . '/include/user.php';
	
	//	список передаваемых параметров в основной шаблон
	$params	=	[];
	//	заголовок
	$params['title']	=	'Битва титанов: Перерождение';
	$params['list_errors']	=	[];
	
	//	старт буферизации вывода
	ob_start();
	
	//	голова
	include_once __DIR__ . '/include/header.php';
	
    if (@$user)	//	если пользователь авторизирован
	{
		
		
		
		
		
		//	блок приветствия
			$lastActive	=	time() - $user['lastActive'];
		if ($lastActive > (60 * 60 * 1))	//	если нас час не было в игре
		{
	
	?>
	<div class='box'>
		Добро пожаловать в Битву титанов <img src='/images/smiles/mini_bye.gif' alt='' /><br / >
		Приятной игры <img src='/images/smiles/mini_ulibka.gif' alt='' />
	</div>
	<?php
		
		}
		//	конец
		
		
		
	?>
	
	<img src='/images/places/hd/main.jpg' alt='' style='width:	100%;' />
	<ul class='list'>
	<?php
	
		if (@mysql_num_rows(@mysql_query(sprintf(
			'SELECT
					*
				FROM
					`arena`
				WHERE
					`uid`	=	%d',
			$user['id']
		))) != 0 && $user['mp']	>=	25)
		{
	?>
		<li><a href='/arena'><img src='/images/icon/arena.png' alt=''/> Арена <span class='c_green'>(+)</span></a></li>
	<?php
		}
		else
		{
	?>
		<li><a href='/arena'><img src='/images/icon/arena.png' alt=''/> Арена</a></li>
	<?php
		}
		
		if ($user['level'] >= 3)
		{
			$duel	=	@mysql_fetch_assoc(@mysql_query(sprintf(
				'SELECT
						*
					FROM
						`duel`
					WHERE
						`uid`	=	%d',
				$user['id']
			)));
			
			if ($duel['fights'] != 0)
			{
	?>
		<li><a href='/duel/'><img src='/images/icon/league.png' alt=''/> Дуэли <span class='c_green'>(+)</span></a></li>
	<?php	
			}
			else
			{
	?>
		<li><a href='/duel/'><img src='/images/icon/league.png' alt=''/> Дуэли</a></li>
	<?php	
			}
			
		}
		
		$query	=	@mysql_query(sprintf(
			'SELECT
					*
				FROM
					`cave`
				WHERE
					`user_id`	=	%d',
			$user['id']
		));	
		if (@mysql_num_rows($query) != 0)
		{
			
			$cave	=	@mysql_fetch_assoc($query);
			$timeleft	=	max(0, $cave['time']-time());
			
			if ($cave['go_down'] == 0 && $timeleft > 0 || $cave['go_down'] == 1 && $cave['gather']  == 1 && $timeleft > 0 || $cave['go_down'] == 1 && $cave['gather']  == 1 && $timeleft > 0)
			{
	?>
		<li><a href='/cave/'><img src='/images/icon/cave.png' alt='*'/> Пещера <span class='c_grey'>(<?=timeleft($timeleft)?>)</span></a></li>
	<?php
			
			}
			else
			{
	?>
		<li><a href='/cave/'><img src='/images/icon/cave.png' alt='*'/> Пещера <span class='c_green'>(+)</span></a></li>
	<?php
			}
			
		}
		else
		{
	?>
		<li><a href='/cave/'><img src='/images/icon/cave.png' alt='*'/> Пещера <span class='c_green'>(+)</span></a></li>
	<?php
		}
	?>
	</ul>
	<div class='min-line'></div>
	<ul class='list'>
	<?php
		if ($user['exchanges'] != 0)
		{
	?>
		<li><a href='/trade/'><img src='/images/icon/gold.png' alt=''/> <span class='c_l-green'>Получить золото</span> <span class='c_green'>(+)</span></a></li>
	<?php
		}
		else
		{
	?>
		<li><a href='/trade/'><img src='/images/icon/gold.png' alt=''/> <span class='c_l-green'>Получить золото</span></a></li>
	<?php
		}
	?>
		<li><a href='/shop/'><img src='/images/icon/equip.png' alt=''/> Магазин снаряжения</a></li>
	<?php
		if ($user['level'] > 2)
		{
	?>
		<!--<li><a href='/farm/'><img src='/images/icon/farm.png' alt='*'/> Поход</a></li>-->
	<?php
		}
		
	?>
		<li><a href='/smith/'><img src='/images/icon/smith.png' alt=''/> Кузница</a></li>
		<li><a href='/lab/'><img src='/images/icon/lab.png' alt=''/> Лаборатория</a></li>
	</ul>
	<div class='min-line'></div>
	<ul class='list'>
		<!--<li><a href='/clans/'><img src='/images/icon/clan.png' alt=''/> Кланы</a></li>-->
		<li><a href='/rating/'><img src='/images/icon/user.png' alt=''/> Зал славы</a></li>
	</ul>
	<?php
		
			$exit	=	isset($_GET['exit'])?intval($_GET['exit']):0;
		if ($exit==1)
		{
			
			@mysql_query(sprintf(
				'UPDATE
						`users`
					SET
						`token`	=	NULL
					WHERE
						`id`	=	%d',
				$user['id']
			));
			
			redirect('/');
			
		}
		//	конец
		
    }
    else
    {
		
		//	авторизация
		if (isset ($_POST['login'], $_POST['password']))
		{
			
			$query	=	@mysql_query(sprintf(
				'SELECT
						*
					FROM
						`users`
					WHERE
						`login`	= "%s" AND `password`	=	"%s"',
				@mysql_real_escape_string($_POST['login']),
				md5($_POST['password'])
			));
			
			if (@mysql_num_rows($query) == 0)
				$params['list_errors'][]	=	'Вы ввели ошибочные данные.';
			
			if (sizeof($params['list_errors'])==0)
			{
				
				$user	=	@mysql_fetch_assoc($query);
				
				$token	=	md5(uniqid());
				
				@mysql_query(sprintf(
					'UPDATE
							`users`
						SET
							`token`	=	"%s"
						WHERE
							`id`	=	%d',
					$token,
					$user['id']
				));
				
				$_SESSION['__user']	=	$token;
				
				redirect('/');
				
			}
			
		}
		//	конец
		
		$ref = intval(@$_GET['ref']);	//	id игрока по которой юзер перешел в игру
		
		//	список всех игроков
		$players	=	@mysql_num_rows(@mysql_query('SELECT * FROM `users`'));
		
	?>
	
	<div class='container cntr'>Битва титанов</div>
	<img src='/images/places/hd/main.jpg' alt='' style='width:	100%;' />
	<div class='container cntr'>
		
		<a href='/start/<?=$ref?>/'><img src='/images/start.png' alt='' /></a>
		
		<div class='spr-line'></div>
	
		<form action='/' method='POST'>
			Имя героя:	<br />
			<input name='login' style='width:	50%;' />	<br />
			Пароль:		<br />
			<input type='password' name='password' style='width:50%;' />	<br />
			<input type='submit' value='Войти' />
		</form>
	
	</div>
	
	<?php
	
    }
    
	//	ноги
	include_once __DIR__ . '/include/footer.php';
	
	//	установка типа содержимого
	setContentType('text/html; charset=UTF-8');
	//	загрузка основного шаблона
	render(
		__DIR__ . '/include/template.php',
		ob_get_clean(),	//	содержимое
		$params	//	список параметров
	);
	
	?>